package com.xhpc.common.domain;

import com.xhpc.common.core.annotation.Excel;
import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * 电站对象 xhpc_charging_station
 *
 * @author yuyang
 * @date 2021-07-19
 */
public class XhpcChargingStation extends BaseEntity {


    private static final long serialVersionUID = 1L;

    /** 电站id */
    private Long chargingStationId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long operatorId;

    /** 电站位置 */
    @Excel(name = "电站位置")
    private Integer type;

    /** 建设场所 */
    @Excel(name = "建设场所")
    private Integer constructionSite;

    /** 电站类型 */
    @Excel(name = "电站类型")
    private Integer stationType;

    /** 服务设施 */
    @Excel(name = "服务设施")
    private String serviceFacilities;

    /** 周边设施 */
    @Excel(name = "周边设施")
    private String peripheryFacilities;

    /** 地址code */
    @Excel(name = "地址code")
    private Integer areaCode;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailedAddress;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 维度 */
    @Excel(name = "维度")
    private String latitude;

    /** 停车说明 */
    @Excel(name = "停车说明")
    private String parkingInstructions;

    /** 编号 */
    @Excel(name = "编号")
    private String serialNumber;

    /** 客户端可见类型 */
    @Excel(name = "客户端可见类型")
    private String clientVisible;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Integer status;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    /** 当前计费模型id */
    @Excel(name = "当前计费模型id")
    private Long rateModelId;

    /** 图片id */
    @Excel(name = "图片id")
    private String imgId;

    /** 营业说明 */
    @Excel(name = "营业说明")
    private String businessInstructions;

    /** 温馨提示说明 */
    @Excel(name = "温馨提示说明")
    private String reminderInstructions;

    /**
     * 对接第三方平台及监管平台的operatorId
     */
    private String operatorIdEvcs;

    /**
     * 站点电话
     */
    private String serviceTel;

    /**
     * 装机总功率（单位：kw）
     */
    private Integer installedTotalPower;

    /**
     * 运行最大总功率(单位：%）
     */
    private Integer runningTotalPower;

    public Integer getInstalledTotalPower() {
        return installedTotalPower;
    }

    public void setInstalledTotalPower(Integer installedTotalPower) {
        this.installedTotalPower = installedTotalPower;
    }

    public Integer getRunningTotalPower() {
        return runningTotalPower;
    }

    public void setRunningTotalPower(Integer runningTotalPower) {
        this.runningTotalPower = runningTotalPower;
    }

    /**
     *侧位数量
     */
    private Integer parkNums;


    public String getOperatorIdEvcs() {

        return operatorIdEvcs;
    }

    public void setOperatorIdEvcs(String operatorIdEvcs) {

        this.operatorIdEvcs = operatorIdEvcs;
    }

    public void setChargingStationId(Long chargingStationId)
    {
        this.chargingStationId = chargingStationId;
    }

    public Long getChargingStationId()
    {
        return chargingStationId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setOperatorId(Long operatorId)
    {
        this.operatorId = operatorId;
    }

    public Long getOperatorId()
    {
        return operatorId;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    public String getServiceFacilities()
    {
        return serviceFacilities;
    }
    public void setPeripheryFacilities(String peripheryFacilities)
    {
        this.peripheryFacilities = peripheryFacilities;
    }

    public String getPeripheryFacilities()
    {
        return peripheryFacilities;
    }
    public void setAreaCode(Integer areaCode)
    {
        this.areaCode = areaCode;
    }

    public Integer getAreaCode()
    {
        return areaCode;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setDetailedAddress(String detailedAddress)
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress()
    {
        return detailedAddress;
    }
    public void setLongitude(String longitude)
    {
        this.longitude = longitude;
    }

    public String getLongitude()
    {
        return longitude;
    }
    public void setLatitude(String latitude)
    {
        this.latitude = latitude;
    }

    public String getLatitude()
    {
        return latitude;
    }
    public void setParkingInstructions(String parkingInstructions)
    {
        this.parkingInstructions = parkingInstructions;
    }

    public String getParkingInstructions()
    {
        return parkingInstructions;
    }
    public void setSerialNumber(String serialNumber)
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber()
    {
        return serialNumber;
    }
    public void setClientVisible(String clientVisible)
    {
        this.clientVisible = clientVisible;
    }

    public String getClientVisible()
    {
        return clientVisible;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setRateModelId(Long rateModelId)
    {
        this.rateModelId = rateModelId;
    }

    public Long getRateModelId()
    {
        return rateModelId;
    }

    public String getImgId() {

        return imgId;
    }

    public void setImgId(String imgId) {

        this.imgId = imgId;
    }

    public String getBusinessInstructions() {

        return businessInstructions;
    }

    public void setBusinessInstructions(String businessInstructions) {

        this.businessInstructions = businessInstructions;
    }

    public String getReminderInstructions() {

        return reminderInstructions;
    }

    public void setReminderInstructions(String reminderInstructions) {

        this.reminderInstructions = reminderInstructions;
    }

    public Integer getConstructionSite() {

        return constructionSite;
    }

    public void setConstructionSite(Integer constructionSite) {

        this.constructionSite = constructionSite;
    }

    public Integer getStationType() {

        return stationType;
    }

    public void setStationType(Integer stationType) {

        this.stationType = stationType;
    }

    public void setServiceFacilities(String serviceFacilities) {

        this.serviceFacilities = serviceFacilities;
    }

    public String getServiceTel() {

        return serviceTel;
    }

    public void setServiceTel(String serviceTel) {

        this.serviceTel = serviceTel;
    }

    public Integer getParkNums() {

        return parkNums;
    }

    public void setParkNums(Integer parkNums) {

        this.parkNums = parkNums;
    }

}
